Skip to main content
PATCH
Update an entity's bank account

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

bank_account_id
string<uuid>
required

Body

application/json

Data that can be updated in existing bank accounts of an entity.

account_holder_name
string

The name of the person or business that owns this bank account. If the account currency is GBP or USD, the holder name cannot be changed to an empty string.

Required string length: 1 - 200
Example:

"Cayla Lloyd"

display_name
string

User-defined name of this bank account, such as 'Primary account' or 'Savings account'.

Required string length: 1 - 200
Example:

"Primary account"

Response

Successful Response

Represents a US bank account (bank details) owned by an entity.

id
string<uuid>
required

Unique ID of the bank account.

account_holder_name
string

The name of the person or business that owns this bank account. Required in the following cases:

  • the account currency is GBP or USD,
  • the account currency is EUR and the entity wishes to receive SEPA Credit transfers to this account.
Example:

"Cayla Lloyd"

account_number
string

The bank account number. Required if the account currency is GBP or USD. UK account numbers typically contain 8 digits. US bank account numbers contain 9 to 12 digits.

Example:

"123456789"

account_number_last4
string

The last 4 digits of bank account number. Required if the account currency is GBP or USD and there is no information about the full account number.

Example:

"5678"

bank_name
string

The bank name.

Example:

"Chase"

display_name
string

User-defined name of this bank account, such as 'Primary account' or 'Savings account'.

Example:

"Primary account"

routing_number
string

The bank's routing transit number (RTN) or branch code. Required if the account currency is USD. US routing numbers consist of 9 digits.

Example:

"123456789"

was_created_by_user_id
string<uuid>

ID of the entity user who added this bank account, or null if it was added using a partner access token.